Description

Ticket from Stas, with video of the behaviour:
http://samer.ourproject.org/++/loading.ogv

He basically cannot use Kune. FF 12 in Linux.

Related issues:
Duplicated by Defect # 277: Permanently loading waves Rejected

Associated revisions
Revision 4eef75fa - 06/15/2012 04:48 PM - Vicente J. Ruiz Jurado

Updating jetty, trying to solve #281

History
#1 - 06/09/2012 01:25 PM - Stanislav German-Evtushenko

Any ideas how can it be fixed?

#2 - 06/09/2012 08:47 PM - Stanislav German-Evtushenko

Just moved to another laptop with FF 11.0. No proxy and problem is just the same. I can open most of threads but those are with undread messages
are not likely to be opened. Repeating refresh many times helps sometimes.

#3 - 06/11/2012 10:07 PM - Vicente J. Ruiz Jurado

I'm spending a lot of time trying to fix this. I think that now the situation is "better" but not totally fixed. Anyway I think is happening with very less
frequency.

Can you try now and give me feedback?

#4 - 06/11/2012 10:12 PM - Stanislav German-Evtushenko

Much better now. Sometimes I have to change between waves to open properly one of them but no they don't hang on "loading" as before.

#5 - 06/12/2012 10:52 AM - Stanislav German-Evtushenko
I can't open "wave mocks". Sometimes it opens after browser refresh.

#6 - 06/13/2012 02:36 PM - Vicente J. Ruiz Jurado

Yes, it's veryyyy strange. I don't find any explanation or fix, and well, I'm debugging, trying to catch the bug. Seems like a deadlock.

#7 - 06/14/2012 01:40 AM - Vicente J. Ruiz Jurado

We'll more info:
https://issues.apache.org/jira/browse/WAVE-358
that brings some light to this issue.

#8 - 06/15/2012 04:40 PM - Vicente J. Ruiz Jurado

Sometimes if the wave does not open immediately, to click again in the same wave, forces to open it (not always works, but, sometimes).

Maybe is related with:
https://jira.codehaus.org/browse/JETTY-1463

I'll do some comment there.

#9 - 06/16/2012 02:02 PM - Vicente J. Ruiz Jurado
- Priority changed from High to Urgent

Another workaround for Firefox. In "about:config" put network.websocket.enabled to false and reload kune.

#10 - 06/16/2012 02:59 PM - Samer -

Confirmed what Vicente was saying in comment #9, the workaround disabling websockets makes it work perfectly...

#11 - 06/16/2012 06:54 PM - Stanislav German-Evtushenko

Workaround was working at first but now I can't even open Kune with that option disabled.

#12 - 06/16/2012 07:06 PM - Vicente J. Ruiz Jurado

I have just updated kune, so, try to refresh your browser...

#13 - 06/17/2012 04:51 PM - Stanislav German-Evtushenko

I can't open https://kune.cc/?locale=en#!movecommons.lists.1074.2810 with socket disabled and the wave is not likely to load if socket is enabled.

#14 - 06/18/2012 11:14 AM - Vicente J. Ruiz Jurado
Please, try it again.

For all of us: If the problem persist, please leave a comment (I've disabled SSL).

#15 - 06/18/2012 03:12 PM - Stanislav German-Evtushenko

I can't open any of waves now.

#16 - 06/18/2012 03:18 PM - Vicente J. Ruiz Jurado

Reload your browser... and if persist, please check your network petitions with firebug.

(I can work open all my waves with two browsers).

#17 - 06/18/2012 03:29 PM - Vicente J. Ruiz Jurado

One more comment. Websocket does not work under normal proxies. Are you under a proxy when you cannot open any wave?

#18 - 06/18/2012 03:35 PM - Stanislav German-Evtushenko

Vicente J. Ruiz Jurado wrote:

One more comment. Websocket does not work under normal proxies. Are you under a proxy when you cannot open any wave?

Yes, as I'm at work place now. It worked before (was unstable but worked).

#19 - 06/18/2012 09:53 PM - Stanislav German-Evtushenko

works well without proxy

#20 - 06/18/2012 10:14 PM - Samer -

Confirmed, now everything works smoothly (FF13, Ubuntu, websockets enabled).

With websockets disabled, for some reason it cannot open my Bio in groupspace (which opens fine if enabled), but it does open the rest of the waves
(in inbox and groupspace).

#21 - 06/21/2012 02:39 PM - Vicente J. Ruiz Jurado

So we can confirm that is a SSL issue, right?. I was trying to find a bug or a reason why some SSL packets are dropped, but without success. Anyway
I think that I found a way to avoid the situation. I'll test it the next week.

#22 - 08/10/2012 01:35 AM - Vicente J. Ruiz Jurado
- Status changed from New to Closed
- % Done changed from 0 to 100

This is fixed.

#23 - 08/10/2012 07:35 AM - Stanislav German-Evtushenko

nice to know!
